commit 1c7684ceba4779e1eb04c13197bcd9ece2a3cb47
Author: freddy77 <freddy77>
Date:   Fri Jan 11 12:43:39 2008 +0000

    fix compile for MacOSX

diff --git a/ChangeLog b/ChangeLog
index 3f540fa..120eda3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Jan 11 13:42:06 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac src/apps/tsql.c:
+	- fix compile problem for MacOSX
+
 Fri Jan 11 10:42:58 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/blob1.c: make it work with Sybase
 	* configure.ac: test for poll function
@@ -42,4 +46,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2465 2008/01/11 09:44:26 freddy77 Exp $
+$Id: ChangeLog,v 1.2466 2008/01/11 12:43:39 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index 6d0bff4..4a0f729 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.31 2008/01/11 09:44:26 freddy77 Exp $
+dnl $Id: configure.ac,v 1.32 2008/01/11 12:43:39 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.31 $)
+AC_REVISION($Revision: 1.32 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -178,7 +178,24 @@ if test $tds_mingw = no; then
 	AC_CHECK_LIB([readline], [readline], [LIBS="$LIBS -lreadline"
 	  AC_DEFINE(HAVE_READLINE, 1, [Define to 1 if you have the GNU Readline library.])], [LIBS=""] )
 	AC_CHECK_FUNCS([rl_on_new_line rl_reset_line_state])
+	AC_LINK_IFELSE([AC_LANG_SOURCE([[
 
+#include <stdio.h>
+#ifdef HAVE_STDLIB_H
+#include <stdlib.h>
+#endif
+
+#ifdef HAVE_READLINE
+#include <readline/readline.h>
+#include <readline/history.h>
+#endif /* HAVE_READLINE */
+
+int main()
+{
+	rl_inhibit_completion = 1;
+	return 0;
+}
+]])],AC_DEFINE(HAVE_RL_INHIBIT_COMPLETION, 1, [Define to 1 if you have rl_inhibit_completion.]))
 	READLINE_LIBS="$LIBS"
 	LIBS="$OLDLIBS"
 	AC_SUBST(READLINE_LIBS)
diff --git a/src/apps/tsql.c b/src/apps/tsql.c
index 6a04027..17268ef 100644
--- a/src/apps/tsql.c
+++ b/src/apps/tsql.c
@@ -85,7 +85,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: tsql.c,v 1.112 2007/12/23 21:12:02 jklowden Exp $");
+TDS_RCSID(var, "$Id: tsql.c,v 1.113 2008/01/11 12:43:39 freddy77 Exp $");
 
 enum
 {
@@ -683,7 +683,7 @@ main(int argc, char **argv)
 	mybuf[0] = '\0';
 	buflen = 0;
 
-#ifdef HAVE_READLINE
+#if defined(HAVE_READLINE) && HAVE_RL_INHIBIT_COMPLETION
 	rl_inhibit_completion = 1;
 #endif
 

